OpenRobots Simulator
====================

    (c) LAAS-CNRS/ONERA 2009-2010 LAAS-CNRS 2011-2014

[![Build Status](https://travis-ci.org/morse-simulator/morse.png?branch=master)](https://travis-ci.org/morse-simulator/morse)

[MORSE](http://morse.openrobots.org) (Modular OpenRobots simulation Engine) is
a Blender-based robotic simulator.  It is a BSD-licensed project (cf
[LICENSE](LICENSE)).

It is meant to be versatile (simulation of field robotics, indoor
robotics, human robot interaction, multi-robots systems) and allow
simulation at different levels (from raw cameras to high-level
semantics).

The communication with the simulator is middleware independent. At the
moment, MORSE supports the [following
middlewares](http://www.openrobots.org/morse/doc/latest/user/integration.html):

- ROS
- Yarp
- pocolibs
- MOOS
- socket

Installation
------------

Please read INSTALL or check the [on-line installation
instructions](http://www.openrobots.org/morse/doc/latest/user/installation.html).

Documentation
-------------

The MORSE documentation is available from the doc/ directory.  It is
available as well online, on the [MORSE
website](http://www.openrobots.org/morse/doc).

You can also [subscribe to
morse-users@laas.fr](https://sympa.laas.fr/sympa/subscribe/morse-users).

How to contribute
-----------------

Even if the code-base is not stabilized yet, contribution to MORSE are
more than welcome.

You can contribute new robot models, new sensors, we have a TODO list
for the Blender game engine itself...

Feel free to [subscribe to
morse-dev@laas.fr](https://sympa.laas.fr/sympa/subscribe/morse-dev) and ask!

Code is available on [GitHub](https://github.com/morse-simulator/morse).

Feel free to fork, pull request or submit issues to improve the project!

Acknowledgements
----------------

The development of MORSE is partially funded by the Foundation RTRA
within the ROSACE project framework, and by DGA
<http://www.defense.gouv.fr/dga> through the ACTION
<http://action.onera.fr> project.

